Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete voice

client.Audio.Voices.Delete(ctx, voiceID) (*VoiceDeleted, error)
DELETE
/audio/voices/{voice_id}

Deletes a voice created from a text prompt or an audio sample.

Requires voice write permission and access to the voice’s project. Access to voices created from recordings is limited to eligible customers. See the custom voices guide.

Deleting a voice does not delete its consent recording. Deleting an already deleted voice returns a 404 error.

Parameters
voiceID string
Returns
type VoiceDeleted struct{…}
ID string

The voice identifier.

Deleted bool

Whether the voice was deleted.

Object AudioVoiceDeleted

The object type, which is always audio.voice.deleted.

Delete voice

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  voiceDeleted, err := client.Audio.Voices.Delete(context.TODO(), "voice_id")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", voiceDeleted.ID)
}
{
  "id": "voice_1234",
  "object": "audio.voice.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "voice_1234",
  "object": "audio.voice.deleted",
  "deleted": true
}